# GstVulkanFullScreenQuad

A GstVulkanFullScreenQuad is a helper object for rendering a single input image to an output GstBuffer

## GstVulkanFullScreenQuad

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstVulkanFullScreenQuad

### Members

`parent` (GstObject) –

the parent GstObject

`out_info` (GstVideoInfo) –

the configured output GstVideoInfo

`in_info` (GstVideoInfo) –

the configured input GstVideoInfo

`queue` (GstVulkanQueue *) –

the GstVulkanQueue to submit GstVulkanCommandBuffer's on

`render_pass` (GstVulkanHandle *) –

the configured `VkRenderPass`

`pipeline_layout` (GstVulkanHandle *) –

the configured `VkPipelineLayout`

`graphics_pipeline` (GstVulkanHandle *) –

the configured `VkPipeline`

`descriptor_set_layout` (GstVulkanHandle *) –

the configured `VkDescriptorSetLayout`

`descriptor_cache` (GstVulkanDescriptorCache *) –

the configured GstVulkanDescriptorCache

`descriptor_set` (GstVulkanDescriptorSet *) –

the configured GstVulkanDescriptorSet

`framebuffer` (GstVulkanHandle *) –

the configured `VkFramebuffer`

`sampler` (GstVulkanHandle *) –

the configured `VkSampler`

`cmd_pool` (GstVulkanCommandPool *) –

the GstVulkanCommandPool to allocate GstVulkanCommandBuffer's from

`trash_list` (GstVulkanTrashList *) –

the GstVulkanTrashList for freeing unused resources

`last_fence` (GstVulkanFence *) –

the last configured GstVulkanFence

Since : 1.18

### Class structure

#### GstVulkanFullScreenQuadClass

##### Fields

`parent_class` (GstObjectClass) –

the parent GstObjectClass

Since : 1.18

### GstVulkan.VulkanFullScreenQuadClass

##### Attributes

`parent_class` (Gst.ObjectClass) –

the parent Gst.ObjectClass

Since : 1.18

### GstVulkan.VulkanFullScreenQuadClass

##### Attributes

`parent_class` (Gst.ObjectClass) –

the parent Gst.ObjectClass

Since : 1.18

## GstVulkan.VulkanFullScreenQuad

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstVulkan.VulkanFullScreenQuad

### Members

`parent` (Gst.Object) –

the parent Gst.Object

`out_info` (GstVideo.VideoInfo) –

the configured output GstVideo.VideoInfo

`in_info` (GstVideo.VideoInfo) –

the configured input GstVideo.VideoInfo

`queue` (GstVulkan.VulkanQueue) –

the GstVulkan.VulkanQueue to submit GstVulkan.VulkanCommandBuffer's on

`render_pass` (GstVulkan.VulkanHandle) –

the configured `VkRenderPass`

`pipeline_layout` (GstVulkan.VulkanHandle) –

the configured `VkPipelineLayout`

`graphics_pipeline` (GstVulkan.VulkanHandle) –

the configured `VkPipeline`

`descriptor_set_layout` (GstVulkan.VulkanHandle) –

the configured `VkDescriptorSetLayout`

`descriptor_cache` (GstVulkan.VulkanDescriptorCache) –

the configured GstVulkan.VulkanDescriptorCache

`descriptor_set` (GstVulkan.VulkanDescriptorSet) –

the configured GstVulkan.VulkanDescriptorSet

`framebuffer` (GstVulkan.VulkanHandle) –

the configured `VkFramebuffer`

`sampler` (GstVulkan.VulkanHandle) –

the configured `VkSampler`

`cmd_pool` (GstVulkan.VulkanCommandPool) –

the GstVulkan.VulkanCommandPool to allocate GstVulkan.VulkanCommandBuffer's from

`trash_list` (GstVulkan.VulkanTrashList) –

the GstVulkan.VulkanTrashList for freeing unused resources

`last_fence` (GstVulkan.VulkanFence) –

the last configured GstVulkan.VulkanFence

Since : 1.18

## GstVulkan.VulkanFullScreenQuad

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstVulkan.VulkanFullScreenQuad

### Members

`parent` (Gst.Object) –

the parent Gst.Object

`out_info` (GstVideo.VideoInfo) –

the configured output GstVideo.VideoInfo

`in_info` (GstVideo.VideoInfo) –

the configured input GstVideo.VideoInfo

`queue` (GstVulkan.VulkanQueue) –

the GstVulkan.VulkanQueue to submit GstVulkan.VulkanCommandBuffer's on

`render_pass` (GstVulkan.VulkanHandle) –

the configured `VkRenderPass`

`pipeline_layout` (GstVulkan.VulkanHandle) –

the configured `VkPipelineLayout`

`graphics_pipeline` (GstVulkan.VulkanHandle) –

the configured `VkPipeline`

`descriptor_set_layout` (GstVulkan.VulkanHandle) –

the configured `VkDescriptorSetLayout`

`descriptor_cache` (GstVulkan.VulkanDescriptorCache) –

the configured GstVulkan.VulkanDescriptorCache

`descriptor_set` (GstVulkan.VulkanDescriptorSet) –

the configured GstVulkan.VulkanDescriptorSet

`framebuffer` (GstVulkan.VulkanHandle) –

the configured `VkFramebuffer`

`sampler` (GstVulkan.VulkanHandle) –

the configured `VkSampler`

`cmd_pool` (GstVulkan.VulkanCommandPool) –

the GstVulkan.VulkanCommandPool to allocate GstVulkan.VulkanCommandBuffer's from

`trash_list` (GstVulkan.VulkanTrashList) –

the GstVulkan.VulkanTrashList for freeing unused resources

`last_fence` (GstVulkan.VulkanFence) –

the last configured GstVulkan.VulkanFence

Since : 1.18

### Constructors

#### gst_vulkan_full_screen_quad_new

    GstVulkanFullScreenQuad *
    gst_vulkan_full_screen_quad_new (GstVulkanQueue * queue)

Parameters:

`queue` –

a GstVulkanQueue

Returns ( [transfer: full]) –

a new GstVulkanFullScreenQuad

Since : 1.18

#### GstVulkan.VulkanFullScreenQuad.prototype.new

    function GstVulkan.VulkanFullScreenQuad.prototype.new(queue: GstVulkan.VulkanQueue): {
        // javascript wrapper for 'gst_vulkan_full_screen_quad_new'
    }

Parameters:

`queue` (GstVulkan.VulkanQueue) –

a GstVulkan.VulkanQueue

Returns (GstVulkan.VulkanFullScreenQuad) –

a new GstVulkan.VulkanFullScreenQuad

Since : 1.18

#### GstVulkan.VulkanFullScreenQuad.new

    def GstVulkan.VulkanFullScreenQuad.new (queue):
        #python wrapper for 'gst_vulkan_full_screen_quad_new'

Parameters:

`queue` (GstVulkan.VulkanQueue) –

a GstVulkan.VulkanQueue

Returns (GstVulkan.VulkanFullScreenQuad) –

a new GstVulkan.VulkanFullScreenQuad

Since : 1.18

### Methods

#### gst_vulkan_full_screen_quad_draw

    gboolean
    gst_vulkan_full_screen_quad_draw (GstVulkanFullScreenQuad * self,
                                      GError ** error)

Helper function for creation and submission of a command buffer that draws a full screen quad. If you need to add other things to the command buffer, create the command buffer manually and call gst_vulkan_full_screen_quad_prepare_draw, gst_vulkan_full_screen_quad_fill_command_buffer and gst_vulkan_full_screen_quad_submit instead.

Parameters:

`self` –

the GstVulkanFullScreenQuad

`error` –

a GError filled on error

Returns –

whether the draw was successful

Since : 1.18

#### GstVulkan.VulkanFullScreenQuad.prototype.draw

    function GstVulkan.VulkanFullScreenQuad.prototype.draw(): {
        // javascript wrapper for 'gst_vulkan_full_screen_quad_draw'
    }

Helper function for creation and submission of a command buffer that draws a full screen quad. If you need to add other things to the command buffer, create the command buffer manually and call GstVulkan.VulkanFullScreenQuad.prototype.prepare_draw, GstVulkan.VulkanFullScreenQuad.prototype.fill_command_buffer and GstVulkan.VulkanFullScreenQuad.prototype.submit instead.

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

the GstVulkan.VulkanFullScreenQuad

Returns (Number) –

whether the draw was successful

Since : 1.18

#### GstVulkan.VulkanFullScreenQuad.draw

    @raises(GLib.GError)
    def GstVulkan.VulkanFullScreenQuad.draw (self):
        #python wrapper for 'gst_vulkan_full_screen_quad_draw'

Helper function for creation and submission of a command buffer that draws a full screen quad. If you need to add other things to the command buffer, create the command buffer manually and call GstVulkan.VulkanFullScreenQuad.prepare_draw, GstVulkan.VulkanFullScreenQuad.fill_command_buffer and GstVulkan.VulkanFullScreenQuad.submit instead.

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

the GstVulkan.VulkanFullScreenQuad

Returns (bool) –

whether the draw was successful

Since : 1.18

#### gst_vulkan_full_screen_quad_enable_blend

    gst_vulkan_full_screen_quad_enable_blend (GstVulkanFullScreenQuad * self,
                                              gboolean enable_blend)

Enables blending of the input image to the output image.

See also: gst_vulkan_full_screen_quad_set_blend_operation and gst_vulkan_full_screen_quad_set_blend_factors.

Parameters:

`self` –

the GstVulkanFullScreenQuad

`enable_blend` –

whether to enable blending

Since : 1.22

#### GstVulkan.VulkanFullScreenQuad.prototype.enable_blend

    function GstVulkan.VulkanFullScreenQuad.prototype.enable_blend(enable_blend: Number): {
        // javascript wrapper for 'gst_vulkan_full_screen_quad_enable_blend'
    }

Enables blending of the input image to the output image.

See also: GstVulkan.VulkanFullScreenQuad.prototype.set_blend_operation and GstVulkan.VulkanFullScreenQuad.prototype.set_blend_factors.

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

the GstVulkan.VulkanFullScreenQuad

`enable_blend` (Number) –

whether to enable blending

Since : 1.22

#### GstVulkan.VulkanFullScreenQuad.enable_blend

    def GstVulkan.VulkanFullScreenQuad.enable_blend (self, enable_blend):
        #python wrapper for 'gst_vulkan_full_screen_quad_enable_blend'

Enables blending of the input image to the output image.

See also: GstVulkan.VulkanFullScreenQuad.set_blend_operation and GstVulkan.VulkanFullScreenQuad.set_blend_factors.

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

the GstVulkan.VulkanFullScreenQuad

`enable_blend` (bool) –

whether to enable blending

Since : 1.22

#### gst_vulkan_full_screen_quad_enable_clear

    gst_vulkan_full_screen_quad_enable_clear (GstVulkanFullScreenQuad * self,
                                              gboolean enable_clear)

Parameters:

`self` –

the GstVulkanFullScreenQuad

`enable_clear` –

whether to clear the framebuffer on load

Since : 1.22

#### GstVulkan.VulkanFullScreenQuad.prototype.enable_clear

    function GstVulkan.VulkanFullScreenQuad.prototype.enable_clear(enable_clear: Number): {
        // javascript wrapper for 'gst_vulkan_full_screen_quad_enable_clear'
    }

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

the GstVulkan.VulkanFullScreenQuad

`enable_clear` (Number) –

whether to clear the framebuffer on load

Since : 1.22

#### GstVulkan.VulkanFullScreenQuad.enable_clear

    def GstVulkan.VulkanFullScreenQuad.enable_clear (self, enable_clear):
        #python wrapper for 'gst_vulkan_full_screen_quad_enable_clear'

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

the GstVulkan.VulkanFullScreenQuad

`enable_clear` (bool) –

whether to clear the framebuffer on load

Since : 1.22

#### gst_vulkan_full_screen_quad_fill_command_buffer

    gboolean
    gst_vulkan_full_screen_quad_fill_command_buffer (GstVulkanFullScreenQuad * self,
                                                     GstVulkanCommandBuffer * cmd,
                                                     GstVulkanFence * fence,
                                                     GError ** error)

Parameters:

`self` –

a GstVulkanFullScreenQuad

`cmd` –

the GstVulkanCommandBuffer to fill with commands

`fence` –
No description available
`error` –

a GError to fill on error

Returns –

whether cmd could be filled with the necessary commands

Since : 1.18

#### GstVulkan.VulkanFullScreenQuad.prototype.fill_command_buffer

    function GstVulkan.VulkanFullScreenQuad.prototype.fill_command_buffer(cmd: GstVulkan.VulkanCommandBuffer, fence: GstVulkan.VulkanFence): {
        // javascript wrapper for 'gst_vulkan_full_screen_quad_fill_command_buffer'
    }

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

a GstVulkan.VulkanFullScreenQuad

`cmd` (GstVulkan.VulkanCommandBuffer) –

the GstVulkan.VulkanCommandBuffer to fill with commands

`fence` (GstVulkan.VulkanFence) –
No description available
Returns (Number) –

whether cmd could be filled with the necessary commands

Since : 1.18

#### GstVulkan.VulkanFullScreenQuad.fill_command_buffer

    @raises(GLib.GError)
    def GstVulkan.VulkanFullScreenQuad.fill_command_buffer (self, cmd, fence):
        #python wrapper for 'gst_vulkan_full_screen_quad_fill_command_buffer'

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

a GstVulkan.VulkanFullScreenQuad

`cmd` (GstVulkan.VulkanCommandBuffer) –

the GstVulkan.VulkanCommandBuffer to fill with commands

`fence` (GstVulkan.VulkanFence) –
No description available
Returns (bool) –

whether cmd could be filled with the necessary commands

Since : 1.18

#### gst_vulkan_full_screen_quad_get_last_fence

    GstVulkanFence *
    gst_vulkan_full_screen_quad_get_last_fence (GstVulkanFullScreenQuad * self)

Parameters:

`self` –
No description available
Returns –
No description available

#### GstVulkan.VulkanFullScreenQuad.prototype.get_last_fence

    function GstVulkan.VulkanFullScreenQuad.prototype.get_last_fence(): {
        // javascript wrapper for 'gst_vulkan_full_screen_quad_get_last_fence'
    }

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –
No description available
Returns (GstVulkan.VulkanFence) –
No description available

#### GstVulkan.VulkanFullScreenQuad.get_last_fence

    def GstVulkan.VulkanFullScreenQuad.get_last_fence (self):
        #python wrapper for 'gst_vulkan_full_screen_quad_get_last_fence'

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –
No description available
Returns (GstVulkan.VulkanFence) –
No description available

#### gst_vulkan_full_screen_quad_get_queue

    GstVulkanQueue *
    gst_vulkan_full_screen_quad_get_queue (GstVulkanFullScreenQuad * self)

Parameters:

`self` –

a GstVulkanFullScreenQuad

Returns ( [transfer: full][nullable]) –

The currently configured GstVulkanQueue

Since : 1.26

#### GstVulkan.VulkanFullScreenQuad.prototype.get_queue

    function GstVulkan.VulkanFullScreenQuad.prototype.get_queue(): {
        // javascript wrapper for 'gst_vulkan_full_screen_quad_get_queue'
    }

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

a GstVulkan.VulkanFullScreenQuad

Returns (GstVulkan.VulkanQueue) –

The currently configured GstVulkan.VulkanQueue

Since : 1.26

#### GstVulkan.VulkanFullScreenQuad.get_queue

    def GstVulkan.VulkanFullScreenQuad.get_queue (self):
        #python wrapper for 'gst_vulkan_full_screen_quad_get_queue'

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

a GstVulkan.VulkanFullScreenQuad

Returns (GstVulkan.VulkanQueue) –

The currently configured GstVulkan.VulkanQueue

Since : 1.26

#### gst_vulkan_full_screen_quad_prepare_draw

    gboolean
    gst_vulkan_full_screen_quad_prepare_draw (GstVulkanFullScreenQuad * self,
                                              GstVulkanFence * fence,
                                              GError ** error)

Parameters:

`self` –

the GstVulkanFullScreenQuad

`fence` –

a GstVulkanFence that will be signalled after submission

`error` –

a GError filled on error

Returns –

whether the necessary information could be generated for drawing a frame.

Since : 1.18

#### GstVulkan.VulkanFullScreenQuad.prototype.prepare_draw

    function GstVulkan.VulkanFullScreenQuad.prototype.prepare_draw(fence: GstVulkan.VulkanFence): {
        // javascript wrapper for 'gst_vulkan_full_screen_quad_prepare_draw'
    }

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

the GstVulkan.VulkanFullScreenQuad

`fence` (GstVulkan.VulkanFence) –

a GstVulkan.VulkanFence that will be signalled after submission

Returns (Number) –

whether the necessary information could be generated for drawing a frame.

Since : 1.18

#### GstVulkan.VulkanFullScreenQuad.prepare_draw

    @raises(GLib.GError)
    def GstVulkan.VulkanFullScreenQuad.prepare_draw (self, fence):
        #python wrapper for 'gst_vulkan_full_screen_quad_prepare_draw'

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

the GstVulkan.VulkanFullScreenQuad

`fence` (GstVulkan.VulkanFence) –

a GstVulkan.VulkanFence that will be signalled after submission

Returns (bool) –

whether the necessary information could be generated for drawing a frame.

Since : 1.18

#### gst_vulkan_full_screen_quad_set_blend_factors

    gst_vulkan_full_screen_quad_set_blend_factors (GstVulkanFullScreenQuad * self,
                                                   VkBlendFactor src_blend_factor,
                                                   VkBlendFactor dst_blend_factor,
                                                   VkBlendFactor src_alpha_blend_factor,
                                                   VkBlendFactor dst_alpha_blend_factor)

You need to enable blend with gst_vulkan_full_screen_quad_enable_blend.

See also: gst_vulkan_full_screen_quad_set_blend_operation.

Parameters:

`self` –

the GstVulkanFullScreenQuad

`src_blend_factor` –

the `VkBlendFactor` for the source image for the colour components (RGB)

`dst_blend_factor` –

the `VkBlendFactor` for the destination image for the colour components (RGB)

`src_alpha_blend_factor` –

the `VkBlendFactor` for the source image for the alpha component.

`dst_alpha_blend_factor` –

the `VkBlendFactor` for the destination image for the alpha component.

Since : 1.22

#### GstVulkan.VulkanFullScreenQuad.prototype.set_blend_factors

    function GstVulkan.VulkanFullScreenQuad.prototype.set_blend_factors(src_blend_factor: Vulkan.BlendFactor, dst_blend_factor: Vulkan.BlendFactor, src_alpha_blend_factor: Vulkan.BlendFactor, dst_alpha_blend_factor: Vulkan.BlendFactor): {
        // javascript wrapper for 'gst_vulkan_full_screen_quad_set_blend_factors'
    }

You need to enable blend with GstVulkan.VulkanFullScreenQuad.prototype.enable_blend.

See also: GstVulkan.VulkanFullScreenQuad.prototype.set_blend_operation.

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

the GstVulkan.VulkanFullScreenQuad

`src_blend_factor` (Vulkan.BlendFactor) –

the `VkBlendFactor` for the source image for the colour components (RGB)

`dst_blend_factor` (Vulkan.BlendFactor) –

the `VkBlendFactor` for the destination image for the colour components (RGB)

`src_alpha_blend_factor` (Vulkan.BlendFactor) –

the `VkBlendFactor` for the source image for the alpha component.

`dst_alpha_blend_factor` (Vulkan.BlendFactor) –

the `VkBlendFactor` for the destination image for the alpha component.

Since : 1.22

#### GstVulkan.VulkanFullScreenQuad.set_blend_factors

    def GstVulkan.VulkanFullScreenQuad.set_blend_factors (self, src_blend_factor, dst_blend_factor, src_alpha_blend_factor, dst_alpha_blend_factor):
        #python wrapper for 'gst_vulkan_full_screen_quad_set_blend_factors'

You need to enable blend with GstVulkan.VulkanFullScreenQuad.enable_blend.

See also: GstVulkan.VulkanFullScreenQuad.set_blend_operation.

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

the GstVulkan.VulkanFullScreenQuad

`src_blend_factor` (Vulkan.BlendFactor) –

the `VkBlendFactor` for the source image for the colour components (RGB)

`dst_blend_factor` (Vulkan.BlendFactor) –

the `VkBlendFactor` for the destination image for the colour components (RGB)

`src_alpha_blend_factor` (Vulkan.BlendFactor) –

the `VkBlendFactor` for the source image for the alpha component.

`dst_alpha_blend_factor` (Vulkan.BlendFactor) –

the `VkBlendFactor` for the destination image for the alpha component.

Since : 1.22

#### gst_vulkan_full_screen_quad_set_blend_operation

    gst_vulkan_full_screen_quad_set_blend_operation (GstVulkanFullScreenQuad * self,
                                                     VkBlendOp colour_blend_op,
                                                     VkBlendOp alpha_blend_op)

You need to enable blend with gst_vulkan_full_screen_quad_enable_blend.

See also: gst_vulkan_full_screen_quad_set_blend_factors.

Parameters:

`self` –

the GstVulkanFullScreenQuad

`colour_blend_op` –

the `VkBlendOp` to use for blending colour (RGB) values

`alpha_blend_op` –

the `VkBlendOp` to use for blending alpha values

Since : 1.22

#### GstVulkan.VulkanFullScreenQuad.prototype.set_blend_operation

    function GstVulkan.VulkanFullScreenQuad.prototype.set_blend_operation(colour_blend_op: Vulkan.BlendOp, alpha_blend_op: Vulkan.BlendOp): {
        // javascript wrapper for 'gst_vulkan_full_screen_quad_set_blend_operation'
    }

You need to enable blend with GstVulkan.VulkanFullScreenQuad.prototype.enable_blend.

See also: GstVulkan.VulkanFullScreenQuad.prototype.set_blend_factors.

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

the GstVulkan.VulkanFullScreenQuad

`colour_blend_op` (Vulkan.BlendOp) –

the `VkBlendOp` to use for blending colour (RGB) values

`alpha_blend_op` (Vulkan.BlendOp) –

the `VkBlendOp` to use for blending alpha values

Since : 1.22

#### GstVulkan.VulkanFullScreenQuad.set_blend_operation

    def GstVulkan.VulkanFullScreenQuad.set_blend_operation (self, colour_blend_op, alpha_blend_op):
        #python wrapper for 'gst_vulkan_full_screen_quad_set_blend_operation'

You need to enable blend with GstVulkan.VulkanFullScreenQuad.enable_blend.

See also: GstVulkan.VulkanFullScreenQuad.set_blend_factors.

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

the GstVulkan.VulkanFullScreenQuad

`colour_blend_op` (Vulkan.BlendOp) –

the `VkBlendOp` to use for blending colour (RGB) values

`alpha_blend_op` (Vulkan.BlendOp) –

the `VkBlendOp` to use for blending alpha values

Since : 1.22

#### gst_vulkan_full_screen_quad_set_index_buffer

    gboolean
    gst_vulkan_full_screen_quad_set_index_buffer (GstVulkanFullScreenQuad * self,
                                                  GstMemory * indices,
                                                  gsize n_indices,
                                                  GError ** error)

See also gst_vulkan_full_screen_quad_set_vertex_buffer

Parameters:

`self` –

the GstVulkanFullScreenQuad

`indices` –

the index data. Must be a GstVulkanBufferMemory

`n_indices` –

number of indices in indices

`error` –

GError to fill on failure

Returns –

whether the index data could be set

Since : 1.18

#### GstVulkan.VulkanFullScreenQuad.prototype.set_index_buffer

    function GstVulkan.VulkanFullScreenQuad.prototype.set_index_buffer(indices: Gst.Memory, n_indices: Number): {
        // javascript wrapper for 'gst_vulkan_full_screen_quad_set_index_buffer'
    }

See also GstVulkan.VulkanFullScreenQuad.prototype.set_vertex_buffer

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

the GstVulkan.VulkanFullScreenQuad

`indices` (Gst.Memory) –

the index data. Must be a GstVulkan.VulkanBufferMemory

`n_indices` (Number) –

number of indices in indices

Returns (Number) –

whether the index data could be set

Since : 1.18

#### GstVulkan.VulkanFullScreenQuad.set_index_buffer

    @raises(GLib.GError)
    def GstVulkan.VulkanFullScreenQuad.set_index_buffer (self, indices, n_indices):
        #python wrapper for 'gst_vulkan_full_screen_quad_set_index_buffer'

See also GstVulkan.VulkanFullScreenQuad.set_vertex_buffer

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

the GstVulkan.VulkanFullScreenQuad

`indices` (Gst.Memory) –

the index data. Must be a GstVulkan.VulkanBufferMemory

`n_indices` (int) –

number of indices in indices

Returns (bool) –

whether the index data could be set

Since : 1.18

#### gst_vulkan_full_screen_quad_set_info

    gboolean
    gst_vulkan_full_screen_quad_set_info (GstVulkanFullScreenQuad * self,
                                          const GstVideoInfo * in_info,
                                          const GstVideoInfo * out_info)

Parameters:

`self` –

the GstVulkanFullScreenQuad

`in_info` –

the input GstVideoInfo to set

`out_info` –

the output GstVideoInfo to set

Returns –

whether the information could be successfully set

Since : 1.18

#### GstVulkan.VulkanFullScreenQuad.prototype.set_info

    function GstVulkan.VulkanFullScreenQuad.prototype.set_info(in_info: GstVideo.VideoInfo, out_info: GstVideo.VideoInfo): {
        // javascript wrapper for 'gst_vulkan_full_screen_quad_set_info'
    }

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

the GstVulkan.VulkanFullScreenQuad

`in_info` (GstVideo.VideoInfo) –

the input GstVideo.VideoInfo to set

`out_info` (GstVideo.VideoInfo) –

the output GstVideo.VideoInfo to set

Returns (Number) –

whether the information could be successfully set

Since : 1.18

#### GstVulkan.VulkanFullScreenQuad.set_info

    def GstVulkan.VulkanFullScreenQuad.set_info (self, in_info, out_info):
        #python wrapper for 'gst_vulkan_full_screen_quad_set_info'

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

the GstVulkan.VulkanFullScreenQuad

`in_info` (GstVideo.VideoInfo) –

the input GstVideo.VideoInfo to set

`out_info` (GstVideo.VideoInfo) –

the output GstVideo.VideoInfo to set

Returns (bool) –

whether the information could be successfully set

Since : 1.18

#### gst_vulkan_full_screen_quad_set_input_buffer

    gboolean
    gst_vulkan_full_screen_quad_set_input_buffer (GstVulkanFullScreenQuad * self,
                                                  GstBuffer * buffer,
                                                  GError ** error)

Parameters:

`self` –

the GstVulkanFullScreenQuad

`buffer` ( [nullable]) –

the input GstBuffer to set

`error` –

GError to fill on failure

Returns –

whether the input buffer could be changed

Since : 1.18

#### GstVulkan.VulkanFullScreenQuad.prototype.set_input_buffer

    function GstVulkan.VulkanFullScreenQuad.prototype.set_input_buffer(buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_vulkan_full_screen_quad_set_input_buffer'
    }

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

the GstVulkan.VulkanFullScreenQuad

`buffer` (Gst.Buffer) –

the input Gst.Buffer to set

Returns (Number) –

whether the input buffer could be changed

Since : 1.18

#### GstVulkan.VulkanFullScreenQuad.set_input_buffer

    @raises(GLib.GError)
    def GstVulkan.VulkanFullScreenQuad.set_input_buffer (self, buffer):
        #python wrapper for 'gst_vulkan_full_screen_quad_set_input_buffer'

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

the GstVulkan.VulkanFullScreenQuad

`buffer` (Gst.Buffer) –

the input Gst.Buffer to set

Returns (bool) –

whether the input buffer could be changed

Since : 1.18

#### gst_vulkan_full_screen_quad_set_output_buffer

    gboolean
    gst_vulkan_full_screen_quad_set_output_buffer (GstVulkanFullScreenQuad * self,
                                                   GstBuffer * buffer,
                                                   GError ** error)

Parameters:

`self` –

the GstVulkanFullScreenQuad

`buffer` ( [nullable]) –

the output GstBuffer to set

`error` –

GError to fill on failure

Returns –

whether the input buffer could be changed

Since : 1.18

#### GstVulkan.VulkanFullScreenQuad.prototype.set_output_buffer

    function GstVulkan.VulkanFullScreenQuad.prototype.set_output_buffer(buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_vulkan_full_screen_quad_set_output_buffer'
    }

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

the GstVulkan.VulkanFullScreenQuad

`buffer` (Gst.Buffer) –

the output Gst.Buffer to set

Returns (Number) –

whether the input buffer could be changed

Since : 1.18

#### GstVulkan.VulkanFullScreenQuad.set_output_buffer

    @raises(GLib.GError)
    def GstVulkan.VulkanFullScreenQuad.set_output_buffer (self, buffer):
        #python wrapper for 'gst_vulkan_full_screen_quad_set_output_buffer'

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

the GstVulkan.VulkanFullScreenQuad

`buffer` (Gst.Buffer) –

the output Gst.Buffer to set

Returns (bool) –

whether the input buffer could be changed

Since : 1.18

#### gst_vulkan_full_screen_quad_set_shaders

    gboolean
    gst_vulkan_full_screen_quad_set_shaders (GstVulkanFullScreenQuad * self,
                                             GstVulkanHandle * vert,
                                             GstVulkanHandle * frag)

Parameters:

`self` –

the GstVulkanFullScreenQuad

`vert` –

the vertex shader to set

`frag` –

the fragment shader to set

Returns –

whether the shaders could be set

Since : 1.18

#### GstVulkan.VulkanFullScreenQuad.prototype.set_shaders

    function GstVulkan.VulkanFullScreenQuad.prototype.set_shaders(vert: GstVulkan.VulkanHandle, frag: GstVulkan.VulkanHandle): {
        // javascript wrapper for 'gst_vulkan_full_screen_quad_set_shaders'
    }

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

the GstVulkan.VulkanFullScreenQuad

`vert` (GstVulkan.VulkanHandle) –

the vertex shader to set

`frag` (GstVulkan.VulkanHandle) –

the fragment shader to set

Returns (Number) –

whether the shaders could be set

Since : 1.18

#### GstVulkan.VulkanFullScreenQuad.set_shaders

    def GstVulkan.VulkanFullScreenQuad.set_shaders (self, vert, frag):
        #python wrapper for 'gst_vulkan_full_screen_quad_set_shaders'

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

the GstVulkan.VulkanFullScreenQuad

`vert` (GstVulkan.VulkanHandle) –

the vertex shader to set

`frag` (GstVulkan.VulkanHandle) –

the fragment shader to set

Returns (bool) –

whether the shaders could be set

Since : 1.18

#### gst_vulkan_full_screen_quad_set_uniform_buffer

    gboolean
    gst_vulkan_full_screen_quad_set_uniform_buffer (GstVulkanFullScreenQuad * self,
                                                    GstMemory * uniforms,
                                                    GError ** error)

Parameters:

`self` –

the GstVulkanFullScreenQuad

`uniforms` –

the uniform data to set. Must be a GstVulkanBufferMemory

`error` –

a GError to fill on failure

Returns –

whether the shaders could be set

Since : 1.18

#### GstVulkan.VulkanFullScreenQuad.prototype.set_uniform_buffer

    function GstVulkan.VulkanFullScreenQuad.prototype.set_uniform_buffer(uniforms: Gst.Memory): {
        // javascript wrapper for 'gst_vulkan_full_screen_quad_set_uniform_buffer'
    }

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

the GstVulkan.VulkanFullScreenQuad

`uniforms` (Gst.Memory) –

the uniform data to set. Must be a GstVulkan.VulkanBufferMemory

Returns (Number) –

whether the shaders could be set

Since : 1.18

#### GstVulkan.VulkanFullScreenQuad.set_uniform_buffer

    @raises(GLib.GError)
    def GstVulkan.VulkanFullScreenQuad.set_uniform_buffer (self, uniforms):
        #python wrapper for 'gst_vulkan_full_screen_quad_set_uniform_buffer'

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

the GstVulkan.VulkanFullScreenQuad

`uniforms` (Gst.Memory) –

the uniform data to set. Must be a GstVulkan.VulkanBufferMemory

Returns (bool) –

whether the shaders could be set

Since : 1.18

#### gst_vulkan_full_screen_quad_set_vertex_buffer

    gboolean
    gst_vulkan_full_screen_quad_set_vertex_buffer (GstVulkanFullScreenQuad * self,
                                                   GstMemory * vertices,
                                                   GError ** error)

Parameters:

`self` –

the GstVulkanFullScreenQuad

`vertices` –

the vertex data. Must be a GstVulkanBufferMemory

`error` –

GError to fill on failure

Returns –

whether the index data could be set

Since : 1.18

#### GstVulkan.VulkanFullScreenQuad.prototype.set_vertex_buffer

    function GstVulkan.VulkanFullScreenQuad.prototype.set_vertex_buffer(vertices: Gst.Memory): {
        // javascript wrapper for 'gst_vulkan_full_screen_quad_set_vertex_buffer'
    }

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

the GstVulkan.VulkanFullScreenQuad

`vertices` (Gst.Memory) –

the vertex data. Must be a GstVulkan.VulkanBufferMemory

Returns (Number) –

whether the index data could be set

Since : 1.18

#### GstVulkan.VulkanFullScreenQuad.set_vertex_buffer

    @raises(GLib.GError)
    def GstVulkan.VulkanFullScreenQuad.set_vertex_buffer (self, vertices):
        #python wrapper for 'gst_vulkan_full_screen_quad_set_vertex_buffer'

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

the GstVulkan.VulkanFullScreenQuad

`vertices` (Gst.Memory) –

the vertex data. Must be a GstVulkan.VulkanBufferMemory

Returns (bool) –

whether the index data could be set

Since : 1.18

#### gst_vulkan_full_screen_quad_submit

    gboolean
    gst_vulkan_full_screen_quad_submit (GstVulkanFullScreenQuad * self,
                                        GstVulkanCommandBuffer * cmd,
                                        GstVulkanFence * fence,
                                        GError ** error)

Parameters:

`self` –

a GstVulkanFullScreenQuad

`cmd` ( [transfer: full]) –

a GstVulkanCommandBuffer to submit

`fence` –

a GstVulkanFence to signal on completion

`error` –

a GError to fill on error

Returns –

whether cmd could be submitted to the queue

Since : 1.18

#### GstVulkan.VulkanFullScreenQuad.prototype.submit

    function GstVulkan.VulkanFullScreenQuad.prototype.submit(cmd: GstVulkan.VulkanCommandBuffer, fence: GstVulkan.VulkanFence): {
        // javascript wrapper for 'gst_vulkan_full_screen_quad_submit'
    }

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

a GstVulkan.VulkanFullScreenQuad

`cmd` (GstVulkan.VulkanCommandBuffer) –

a GstVulkan.VulkanCommandBuffer to submit

`fence` (GstVulkan.VulkanFence) –

a GstVulkan.VulkanFence to signal on completion

Returns (Number) –

whether cmd could be submitted to the queue

Since : 1.18

#### GstVulkan.VulkanFullScreenQuad.submit

    @raises(GLib.GError)
    def GstVulkan.VulkanFullScreenQuad.submit (self, cmd, fence):
        #python wrapper for 'gst_vulkan_full_screen_quad_submit'

Parameters:

`self` (GstVulkan.VulkanFullScreenQuad) –

a GstVulkan.VulkanFullScreenQuad

`cmd` (GstVulkan.VulkanCommandBuffer) –

a GstVulkan.VulkanCommandBuffer to submit

`fence` (GstVulkan.VulkanFence) –

a GstVulkan.VulkanFence to signal on completion

Returns (bool) –

whether cmd could be submitted to the queue

Since : 1.18

The results of the search are